arrow-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Colin Nichols <co...@bam.ai>
Subject Re: pyarrow versioning
Date Mon, 07 Aug 2017 20:05:32 GMT
Ah ok, makes sense -- thanks Wes!

- Colin


*Colin Nichols | Senior Software Engineer335 Madison Avenue, 16F | New
York, NY, 10017+1 (646) 912 2018 | BAM.ai*

On Mon, Aug 7, 2017 at 3:55 PM, Wes McKinney <wesmckinn@gmail.com> wrote:

> hi Colin,
>
> Sorry about that. Yes, I pulled the 0.5.0 packages from PyPI (which is
> an unofficial package, because the Arrow PMC has not voted on it)
> because of the problems with jemalloc in ARROW-1282 -- it is not
> possible to replace a broken package without also changing the version
> number. This is a pretty exceptional case because the jemalloc
> allocator was causing hung processes in some cases; this was something
> we could disable at build time without making a new release.
>
> I recommend that you pin to a minor version, but not a patch version, so
>
> pyarrow==0.5.*
>
> Patch versions as a rule will not contain API changes. This conflicts
> with the installation advice in http://arrow.apache.org/install/, so I
> will update this at next opportunity.
>
> - Wes
>
> On Mon, Aug 7, 2017 at 3:40 PM, Colin Nichols <colin@bam.ai> wrote:
> > Hi all,
> >
> > I noticed today that pyarrow==0.5.0 has disappeared from Pypi, replaced
> by
> > 0.5.0.post2.  Just wanted to make sure that was intended.  If so, is the
> > expectation that users put e.g., pyarrow~=0.5.0 in their requirements
> file
> > as opposed to pyarrow==0.5.0?
> >
> > Thank you,
> > Colin
> >
> >
> >
> > *Colin Nichols | Senior Software Engineer335 Madison Avenue, 16F | New
> > York, NY, 10017+1 (646) 912 2018 | Narrativ*
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message